hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: duplicate servlet-api jars in hbase 0.96.0
Date Thu, 09 Jan 2014 22:56:58 GMT
In dependency tree, I see:

[INFO] +- org.mortbay.jetty:jsp-api-2.1:jar:6.1.14:compile

[INFO] +- org.apache.hadoop:hadoop-hdfs:jar:2.2.0:compile
[INFO] |  +- commons-daemon:commons-daemon:jar:1.0.13:compile
[INFO] |  \- javax.servlet.jsp:jsp-api:jar:2.1:compile

FYI


On Thu, Jan 9, 2014 at 2:49 PM, Jerry He <jerryjch@gmail.com> wrote:

> In the lib folder in HBase 0.96.0 tarball we have this:
>
> [biadmin@hdtest009 lib]$ ls -l jsp-api*
> -rw-rw-r-- 1 biadmin biadmin 134910 Sep 17 01:13 jsp-api-2.1-6.1.14.jar
> -rw-rw-r-- 1 biadmin biadmin 100636 Sep 17 01:27 jsp-api-2.1.jar
>
> [biadmin@hdtest009 lib]$ ls -l servlet-api*
> -rw-rw-r-- 1 biadmin biadmin 132368 Sep 17 01:13 servlet-api-2.5-6.1.14.jar
> -rw-rw-r-- 1 biadmin biadmin 105112 Sep 17 01:12 servlet-api-2.5.jar
>
> Can someone tell me why we have the two version of the jars?
> In each case, one jar is the Jetty version and the other seems to be the
> javax version.
> In the hbase pom files, I see we are excluding javax version of the jar.
> Getting confused here ...
>
> Thanks,
>
> Jerry
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message